#ifndef _KERNEL_COMMUNICATE_H
#define _KERNEL_COMMUNICATE_H

/* kysec special label type */
enum {
	EXECTL_VERIFIED_TYPE = 1,
	EXECTL_ORIGINAL_TYPE,
	EXECTL_KYSOFT_TYPE,
	EXECTL_TRUSTED_TYPE,
	EXECTL_UNKNOWN_TYPE
};

#ifdef __cplusplus
extern "C" {
#endif

/*
 * 功能：内核通讯接口
 * cmd: 防卸载命令
 */
int kysec_kmod_communicate_with_kernel(char *cmd);

/*
 * 功能：讲exectl标记转换为内核标记类型
 * exectl_label：exectl标记
 */
int kysec_convert_exectl_label_to_label_type(char *exectl_label);

/*
 * 功能：内核通讯接口
 * cmd: 防卸载命令
 */
int kysec_hash_communicate_with_kernel(char *cmd, int label_type);

#ifdef __cplusplus
}
#endif

#endif
